Subject: via-rhine -- VT6105M and checksum offloading

From: Benjamin LaHaise <[email-masked]>
Date: Thu, 24 Feb 2011 13:58:05 -0500

Hi folks,

I've recently noticed that one of the embedded systems I'm using (the 
PCEngines ALIXes) is becoming CPU bound under heavy network traffic.  
Upon investigation, it looks like the VT6105M isn't actually using the 
hardware checksum offloading support of the hardware.  Are there any 
known reasons why this isn't enabled (hardware bugs?)?  I'll test enabling 
it in the driver, but I figured it would be worth asking if this path 
has been explored already.  Cheers,

		-ben